Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 279389 - www-client/mozilla-firefox-3.5.1 ebuild fails to build with multilib setup
Summary: www-client/mozilla-firefox-3.5.1 ebuild fails to build with multilib setup
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-27 20:49 UTC by Thomas Sachau
Modified: 2009-08-02 18:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Sachau gentoo-dev 2009-07-27 20:49:30 UTC
This new version of firefox fails to build with multilib setup because it does only set MOZILLA_FIVE_HOME in one phase. Since multilib portage does run every phase twice, the path in src_install will contain /usr/lib64, also it needs to be /usr/lib32. Setting the var also in src_install does fix this issue.
Comment 1 Jory A. Pratt gentoo-dev 2009-08-02 00:29:04 UTC
diff --git a/www-client/mozilla-firefox/mozilla-firefox-3.5.1-r2.ebuild b/www-client/mozilla-firefox/mozilla-firefox-3.5.1-r2.ebuild
index 376e4dd..91ed8ce 100644
--- a/www-client/mozilla-firefox/mozilla-firefox-3.5.1-r2.ebuild
+++ b/www-client/mozilla-firefox/mozilla-firefox-3.5.1-r2.ebuild
@@ -241,6 +241,8 @@ src_compile() {
 }
 
 src_install() {
+       MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
        emake DESTDIR="${D}" install || die "emake install failed"
        rm "${D}"/usr/bin/firefox
 
@@ -281,8 +283,9 @@ EOF
        fperms 0755 /usr/bin/firefox
 
        #Enable very specific settings not inherited from xulrunner
+       dodir 
        cp "${FILESDIR}"/firefox-default-prefs.js \
-               "${D}/${MOZLIBDIR}/defaults/pref/all-gentoo.js" || die "failed to cp xulrunner-default-prefs.js"
+               "${D}/${MOZILLA_FIVE_HOME}/defaults/preferences/all-gentoo.js" || die "failed to cp xulrunner-default-prefs.js"
 
        # Plugins dir
        ln -s "${D}"/usr/$(get_libdir)/{nsbrowser,mozilla-firefox}/plugins


If it looks fine to you let me know and I will queue it for -r2
Comment 2 Thomas Sachau gentoo-dev 2009-08-02 13:16:29 UTC
I dont see a need for the dodir command without argument, but else it looks ok and should work.
Comment 3 Jory A. Pratt gentoo-dev 2009-08-02 18:58:17 UTC
-r2 has been added to the tree with the proper fix.